<?php

namespace goals\traits;

trait goals_label_t
{
    /**
     * Human-friendly label/name for the goal criteria
     * @var string|null
     */
    public ?string $label = null;

    /**
     * Set the label
     * @param string|null $label
     * @return void
     */
    public function setLabel(?string $label): void
    {
        $this->label = $label;
    }

    /**
     * Get the label
     * @return string|null
     */
    public function getLabel(): ?string
    {
        return $this->label;
    }
}
